---
updatedAt: 2026-05-29T13:25:42.000Z
agentTools:
  projectIndex: https://developer.eftcorp.com/llms.txt
---

# Retrieve a list of wallets associated with the customer. When utilizing the query parameter fields with a value of local, the API will exclusively return local fields, such as walletId and walletType etc. External system interactions will be excluded in this scenario

Lists all the wallets directly owned by the customer

# OpenAPI definition

```json
{
  "servers": [
    {
      "url": "https://eclipse-java-sandbox.ukheshe.rocks",
      "description": "Eclipse sandbox environment"
    },
    {
      "url": "https://ukheshe.live",
      "description": "Eclipse production environment"
    },
    {
      "url": "https://eclipse-java-develop.ukheshe.rocks",
      "description": "Eclipse development environment"
    },
    {
      "url": "https://zw.ukheshe.live",
      "description": "Zim Eclipse production environment"
    }
  ],
  "openapi": "3.1.0",
  "components": {
    "schemas": {
      "Avp": {
        "description": "An attribute/value pair for providing weakly typed data on various messages",
        "type": "object",
        "required": [
          "att",
          "val"
        ],
        "properties": {
          "att": {
            "type": "string",
            "pattern": "\\S"
          },
          "val": {
            "type": "string"
          }
        }
      },
      "EclipseWallet": {
        "description": "A representation of a store of value. The wallet type determines the exact implementation of the wallet. Could be a pure digital closed loop wallet or a card-linked wallet plugged in to the card rails.",
        "type": "object",
        "properties": {
          "accountNumber": {
            "type": "string",
            "description": "A bank account number for deposits if supported by the underlying bank"
          },
          "availableBalance": {
            "type": "number",
            "description": "The amount available for spending"
          },
          "configuration": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Avp"
            }
          },
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ],
            "description": "ISO 8601 date/time of when the record was first created"
          },
          "creditReservations": {
            "type": "number",
            "description": "The credit reservations placed on the wallet (uncommitted transactions that will credit the wallet)"
          },
          "currency": {
            "type": "string",
            "description": "The currency of the wallet - e.g. USD, ZAR, NGN, TSH",
            "minLength": 3,
            "maxLength": 3
          },
          "currentBalance": {
            "type": "number",
            "description": "The balance in the wallet in the currency of the wallet"
          },
          "customerId": {
            "type": "integer",
            "format": "int64",
            "description": "The customer who owns this wallet. If not provided then the wallet must be owned by an organisation and hence organisationId should be provided"
          },
          "debitReservations": {
            "type": "number",
            "description": "The debit reservations placed on the wallet (uncommitted transactions)"
          },
          "description": {
            "type": "string",
            "description": "Wallet Description",
            "pattern": "(?s)^(?:[\\t\\r\\n]|[^\\p{C}<>])*$",
            "minLength": 0,
            "maxLength": 200
          },
          "externalUniqueId": {
            "type": "string",
            "description": "A globally unique identifier set by the tenant for this wallet. Useful for correlating between the tenants systems and Eclipse"
          },
          "friendlyId": {
            "type": "string",
            "description": "A unique reference for a wallet used for deposits and other transactions"
          },
          "name": {
            "type": "string",
            "description": "Name of the Wallet",
            "minLength": 3,
            "maxLength": 50
          },
          "organisationId": {
            "type": "integer",
            "format": "int64",
            "description": "The organisation who owns this wallet. If not provided then the wallet must be owned by a customer and hence customerId should be provided"
          },
          "reasonCode": {
            "$ref": "#/components/schemas/StatusChangeReasonCode"
          },
          "reservations": {
            "type": "number",
            "description": "Deprecated - use debitReservations. The reservations placed on the wallet (uncommitted transactions that will debit the wallet)"
          },
          "status": {
            "$ref": "#/components/schemas/WalletStatus",
            "description": "The status of the wallet. Impacts if it can currently be used",
            "type": "string"
          },
          "voucherPin": {
            "type": "string"
          },
          "walletId": {
            "type": "integer",
            "format": "int64",
            "description": "A unique system generated numeric identifier for the wallet",
            "exclusiveMinimum": 0
          },
          "walletTypeId": {
            "type": "integer",
            "format": "int32",
            "description": "The type of wallet. This controls the behaviour and rules of the wallet",
            "exclusiveMinimum": 0
          }
        },
        "required": [
          "status",
          "currency"
        ]
      },
      "ExceptionData": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "environment": {
            "type": "string"
          },
          "info": {
            "type": "object",
            "additionalProperties": {}
          },
          "severity": {
            "$ref": "#/components/schemas/ExceptionSeverity"
          },
          "spanId": {
            "type": "string"
          },
          "stackTrace": {
            "type": "string"
          },
          "traceId": {
            "type": "string"
          },
          "type": {
            "$ref": "#/components/schemas/ExceptionType"
          }
        }
      },
      "ExceptionSeverity": {
        "type": "string",
        "enum": [
          "CRITICAL",
          "HIGH",
          "INFO",
          "LOW",
          "MEDIUM"
        ]
      },
      "ExceptionType": {
        "type": "string",
        "enum": [
          "BUSINESS",
          "SYSTEM"
        ]
      },
      "StatusChangeReasonCode": {
        "type": "string",
        "enum": [
          "DUE_DILIGENCE",
          "EXCON",
          "FRAUD",
          "LEGAL",
          "NONE",
          "REGULATORY",
          "RISK"
        ]
      },
      "WalletStatus": {
        "description": "Status of the wallet. ACTIVE:Can be used, LOCKED:Is blocked from use but can be customer controlled. CANCELED is deprecated. CANCELLED is in use, BARRED: Wallet cannot be used due to possible fraud or similar investigation",
        "type": "string",
        "enum": [
          "ACTIVE",
          "BARRED",
          "CANCELED",
          "CANCELLED",
          "JOINT_ACTIVE",
          "JOINT_PARTIAL",
          "LOCKED",
          "PENDING"
        ]
      }
    },
    "securitySchemes": {
      "JWTBearerAuthorisation": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "info": {
    "description": "A RESTful API using JSON as the data transfer model, covering all tenant-facing functionality in the Eclipse payments platform.",
    "title": "Eclipse ReST API",
    "version": "3.0.0"
  },
  "tags": [
    {
      "name": "d) Customer Management",
      "description": "Operations on an individual customer profile including identity management, addresses, documents, wallets, cards, beneficiaries, and KYC ratification."
    }
  ],
  "paths": {
    "/eclipse-conductor/rest/v1/tenants/{tenantId}/customers/{customerId}/wallets": {
      "get": {
        "summary": "Retrieve a list of wallets associated with the customer. When utilizing the query parameter fields with a value of local, the API will exclusively return local fields, such as walletId and walletType etc. External system interactions will be excluded in this scenario",
        "description": "Lists all the wallets directly owned by the customer",
        "tags": [
          "d) Customer Management"
        ],
        "parameters": [
          {
            "name": "tenantId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "customerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "accountNumber",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "externalUniqueId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fields",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "friendlyId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Max number of results to return. Defaults to 100.",
            "required": false,
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": "100"
            }
          },
          {
            "description": "Offset for pagination. An offset of 10 would return from index 10, i.e. skipping 0 to 9 (first 10 items are skipped).",
            "required": false,
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": "0"
            }
          },
          {
            "description": "Wallet Status in comma Separated [ active, barred, pending, cancelled, locked]",
            "required": false,
            "name": "status",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "txMcc",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "txMid",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/EclipseWallet"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ExceptionData"
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "JWTBearerAuthorisation": []
          }
        ]
      }
    }
  }
}
```